//
//  IMDB.h
//  IMDB
//
//  Created by Conor Dearden on Sat May 22 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//
#import <Foundation/Foundation.h>
#import <Cocoa/Cocoa.h>
#import "MyControllerForPlugins.h"

@class IMDBOptionsPanel;

@interface IMDB : NSObject <PediaPluginMandatory> {
	IBOutlet IMDBOptionsPanel *preferenceWindow;

	NSMutableArray *resultsTitle;
	NSMutableArray *resultsIMDBNumber;
	id delegate;
	NSMutableData *receivedData;
	NSURLConnection *theConnection;
	
	NSString *akasRequest;
}

//helper Methods
- (void)downloadWebPage:(NSString *)aWebPage;
- (void)downloadWebPage:(NSString *)aWebPage withPost:(NSString *)body encoding:(int)anEncoding;
- (void)downloadComplete:(NSString *)HTMLSource;


@end

